> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Global IP Latency Metrics



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/networking/networking.yml get /global_ip_latency
openapi: 3.1.0
info:
  title: Telnyx Networking API
  version: 2.0.0
  description: API for Networking.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /global_ip_latency:
    description: Global IP Latency Metrics over time
    get:
      tags:
        - Global IPs
      summary: Global IP Latency Metrics
      operationId: GetGlobalIpLatency
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[global_ip_id][in]
          schema:
            type: object
            properties:
              global_ip_id:
                oneOf:
                  - type: string
                    description: Filter by exact Global IP ID
                  - type: object
                    properties:
                      in:
                        type: string
                        description: Filter by Global IP ID(s) separated by commas
                    additionalProperties: false
                    description: Filtering operations
            additionalProperties: false
      responses:
        '200':
          $ref: '#/components/responses/GlobalIpLatencyResponse'
        '422':
          $ref: '#/components/responses/netapps_GenericErrorResponse'
        default:
          $ref: '#/components/responses/netapps_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const globalIPLatency = await client.globalIPLatency.retrieve();

            console.log(globalIPLatency.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            global_ip_latency = client.global_ip_latency.retrieve()
            print(global_ip_latency.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tglobalIPLatency, err := client.GlobalIPLatency.Get(context.TODO(), telnyx.GlobalIPLatencyGetParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", globalIPLatency.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.globaliplatency.GlobalIpLatencyRetrieveParams;

            import
            com.telnyx.sdk.models.globaliplatency.GlobalIpLatencyRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    GlobalIpLatencyRetrieveResponse globalIpLatency = client.globalIpLatency().retrieve();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            global_ip_latency = telnyx.global_ip_latency.retrieve

            puts(global_ip_latency)
        - lang: CLI
          source: |-
            telnyx global-ip-latency retrieve \
              --api-key 'My API Key'
components:
  responses:
    GlobalIpLatencyResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/GlobalIpLatencyMetric'
    netapps_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/netapps_Errors'
  schemas:
    GlobalIpLatencyMetric:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
          description: The timestamp of the metric.
          example: '2020-01-01T00:00:00.000Z'
        global_ip:
          type: object
          properties:
            id:
              type: string
              format: uuid
              description: Global IP ID.
              example: a836125b-20b6-452e-9c03-2653f09c7ed7
            ip_address:
              type: string
              description: The Global IP address.
              readOnly: true
              example: 192.0.2.1
        prober_location:
          type: object
          properties:
            id:
              type: string
              format: uuid
              description: Location ID.
              example: a836125b-20b6-452e-9c03-2653f09c7ed7
            name:
              type: string
              description: Location name.
              example: Amsterdam
            lat:
              type: number
              description: Latitude.
              example: 52.370216
            lon:
              type: number
              description: Longitude.
              example: 4.895168
        mean_latency:
          type: object
          properties:
            amount:
              type: number
              description: The average latency.
              example: 100
            unit:
              type: string
              description: The unit of the average latency.
              example: ms
        percentile_latency:
          type: object
          properties:
            '0':
              type: object
              properties:
                amount:
                  type: number
                  description: The minimum latency.
                  example: 100
                unit:
                  type: string
                  description: The unit of the minimum latency.
                  example: ms
            '25':
              type: object
              properties:
                amount:
                  type: number
                  description: The 25th percentile latency.
                  example: 100
                unit:
                  type: string
                  description: The unit of the 25th percentile latency.
                  example: ms
            '50':
              type: object
              properties:
                amount:
                  type: number
                  description: The 50th percentile latency.
                  example: 100
                unit:
                  type: string
                  description: The unit of the 50th percentile latency.
                  example: ms
            '75':
              type: object
              properties:
                amount:
                  type: number
                  description: The 75th percentile latency.
                  example: 100
                unit:
                  type: string
                  description: The unit of the 75th percentile latency.
                  example: ms
            '90':
              type: object
              properties:
                amount:
                  type: number
                  description: The 90th percentile latency.
                  example: 100
                unit:
                  type: string
                  description: The unit of the 90th percentile latency.
                  example: ms
            '99':
              type: object
              properties:
                amount:
                  type: number
                  description: The 99th percentile latency.
                  example: 100
                unit:
                  type: string
                  description: The unit of the 99th percentile latency.
                  example: ms
            '100':
              type: object
              properties:
                amount:
                  type: number
                  description: The maximum latency.
                  example: 100
                unit:
                  type: string
                  description: The unit of the maximum latency.
                  example: ms
    netapps_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/netapps_Error'
      type: object
    netapps_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````